首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
shengyu
V2EX  ›  程序员

Firefox 证书过期导致插件全炸

  •  4
     
  •   shengyu · 261 天前 · 12886 次点击
    这是一个创建于 261 天前的主题,其中的信息可能已经有所发展或是发生改变。

    早上一起来发现插件 全都被禁用了,切到 edge 压压惊。
    https://bugzilla.mozilla.org/show_bug.cgi?id=1548973

    第 3 条附言  ·  261 天前
    临时解决方案
    第 4 条附言  ·  260 天前
    来自 @marsgt
    说下最新的(较完美)解决方案:
    去“选项->隐私与安全->FireFox 数据收集与使用”下打开“允许 Firefox 安装并运行一些实验项目”,然后稍等一会儿(我是把“附加组件”页打开了),Moz 后台会把修复自动推过来,有个别没搞定的,再重启下浏览器应该就可以了。搞定以后这个选项随时能关。
    还有就是 Moz 那边说通用方案也在搞,不过还不知道什么时候推。
    131 回复  |  直到 2019-05-06 13:09:25 +08:00
    1  2  
    imaple
        101
    imaple   260 天前
    卧槽吓死我了,太砸招牌了
    villivateur
        102
    villivateur   260 天前
    可怕的是,一天过去了,我的 Android 版 Firefox 还是没有恢复
    Mavious
        103
    Mavious   260 天前
    我 ESR 60,所有官方修复统统无效,包括安装补丁扩展,打开热更新等推送(根本没有这选项)。
    被迫 xpinstall.signatures.required 保命了。
    Mavious
        104
    Mavious   260 天前
    @Bardon 表示怀疑,我是最新版 ESR ( 60.6.1 ),根本没有 studies 这个选项。
    Homebrew
        105
    Homebrew   260 天前
    @Mavious 地址栏输入 about:studies
    点击 Update Preferences,会跳转到选项中的相关项目让你去勾选

    https://blog.mozilla.org/addons/files/2019/05/about_prefs.png
    jasonyang9
        107
    jasonyang9   260 天前
    参考这个帖子:h tt p s://blog.mozilla.org/addons/2019/05/04/update-regarding-add-ons-in-firefox/

    下面有人回复,从 Hacker News 上找到的内容,只需要下载并安装这个 Mozilla 自己签名的扩展,就可以修复证书问题。

    h t t p s://storage.googleapis.com/moz-fx-normandy-prod-addons/extensions/hotfix-update-xpi-intermediate%40mozilla.com-1.0.2-signed.xpi

    根本不需要开启什么 Studies 功能并等推送。肯定有人会忘记关掉这个 Studies。。。
    jasonyang9
        108
    jasonyang9   260 天前
    @jasonyang9 实测,移动版 Firefox 也能用这个办法修复
    Homebrew
        109
    Homebrew   260 天前
    @jasonyang9 这个就是修复扩展呀,今天早上遇到这问题的人,开启 studies,会自动安装这个扩展,可能这是后面新出的解决方案。
    不过,诺曼底这个参数名起得真名副其实了,firefox 不会故意整这么一出事件吧。
    willm
        110
    willm   260 天前 via Android
    本来用的人就少,还拼命作死
    jasonyang9
        111
    jasonyang9   260 天前
    @Homebrew 直接下载安装的好处是避开了那个 Studies 功能,毕竟会提交信息给 Moz,而且有一部分人事后会忘记关掉

    还有那个 Normandy,在 FF 中竟然有这样一个可以直接从后台推送更新客户端配置的功能,怕怕
    Dvel
        112
    Dvel   260 天前
    刚从 chrome 换到 firefox。。。
    ccoming
        113
    ccoming   260 天前
    还以为就是我的问题,准备下载旧版呢。
    Kmara
        114
    Kmara   260 天前
    @Bardon 问一下 esr 版本有 56 的吗?我正在用的是 56.0.1 ……找不到下载地方…… ftp 里面也没有……
    Mavious
        115
    Mavious   260 天前
    @Homebrew 没有用。各种官方方法都试过了,你链接里也提到了:Please note: The fix does not apply to Firefox ESR or Firefox for Android. We ’ re working on releasing a fix for both, and will provide updates here and on social media.

    补丁对 ESR 无效。

    Update Preferences 里,跳转后,只有 2 个选项(发送交互数据,发送崩溃报告),全勾上也没有更多的选项弹出来。

    这两个是主流方法,我早上都试过了,全无效。据说 ESR 是个老大难问题,不是那么快能解决的。

    -----------

    @Kmara ESR 没有 56 的呀,我记得每隔 8 (还是 7 ?)个大版本更新一次,60 之前是 52,不存在 56 的吧。
    Homebrew
        116
    Homebrew   260 天前
    Mavious
        117
    Mavious   260 天前
    @Homebrew 是的,同版本。不过我是 32 位的……
    about:studies 里是 You have not participated in any studies,两个数据(有且只有 2 个选项)收集勾我已经勾上了,傻等推送吧,反正推了一天都没有。手动安装 hotfix,装上了,扩展还是全死状态。
    Homebrew
        118
    Homebrew   260 天前   ♥ 1
    @Mavious 试试随便安装一个扩展试试。

    不行的话,诺曼底那里设置为 1 秒
    Kmara
        119
    Kmara   260 天前
    @Mavious 好吧……谢谢,我以为会有奇怪的流出版本,哈哈 毕竟这是 57 前最后的一个版本了
    目前下了 60.6.1esr 几经折腾后还剩“无法取消标签栏置顶”这个问题没解决。正在摸索中……
    Homebrew
        120
    Homebrew   260 天前   ♥ 1
    @Mavious 对了,忘了说了,我这里不是扩展自动恢复,而是自己重新安装需要的扩展...
    Kmara
        121
    Kmara   260 天前   ♥ 1
    @Mavious 我觉得你很有可能是 32 位这个问题,因为我也是此版本 64 位,下午 2 点多下载安装然后用旧档使用+手动安装 [email protected] 存活至今
    slea
        122
    slea   260 天前
    Chrome 早炸过了
    annielong
        123
    annielong   260 天前
    52 版本,还好有压缩包,
    qwz
        124
    qwz   260 天前
    reddit 上一片唱衰 Firefox 了 哈哈
    dalieba
        125
    dalieba   260 天前 via Android
    @willm 他们安全机制做好了,维护没跟上套
    Dvel
        126
    Dvel   260 天前
    照着附言 4 的操作弄好了,等了一会就好了。
    这估计要少一大批不懂电脑的用户。
    Kmara
        127
    Kmara   259 天前
    我的 56.0.1 在刚刚在这个方法里成功复原了 https://www.velvetbug.com/benb/icfix/
    xzy722
        128
    xzy722   259 天前
    esr 版本更新到 60.6.2 了
    Mavious
        129
    Mavious   259 天前
    @Homebrew 第二天,终于给我推补丁了,但是无效。和手动安装补丁一样无效。正如官方文件所说,补丁不适合 ESR。
    ---------------------------
    @xzy722 感谢,更新 ESR 了,扩展终于活了。
    whatsmyip
        130
    whatsmyip   259 天前
    这也太坑爹了,假期一回来插件全挂,还以为 ff 又搞啥大更新
    DiamondbacK
        131
    DiamondbacK   259 天前
    @Kmara #127
    56.0.2 按此方法操作成功。谢谢。
    1  2  
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2453 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 25ms · UTC 14:42 · PVG 22:42 · LAX 06:42 · JFK 09:42
    ♥ Do have faith in what you're doing.